## kpimtextedit 18.08.3

=== debian/changelog ===
kpimtextedit (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:15 +0100

kpimtextedit (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:16:32 +0200

kpimtextedit (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update symbols from build for 18.07.90.
  * Bump Debian-ABI for libkf5pimtextedit5 because of ABI breakage to 2.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:00:55 +0200

kpimtextedit (17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add the libqt5texttospeech5-dev build dependency to enable the
    text-to-speech functionality.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Properly run the test suite during the build, so it works:
    - add the breeze-icon-theme build dependency, as the test suite tries to
      load icons
    - add the openbox build dependency, to have a real window manager
    - create a new debian/testsuite.xsession script, modelled after
      debian/tests/testsuite.xsession, that prepares the fake home directory,
      and starts the WM
    - run xvfb-run with the proper arguments, using a fake home directory for
      it, and invoking debian/testsuite.xsession
    - make the test suite run fatal
  * Remove the unused, and now no more useful autopkgtest stuff.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 14:39:28 +0200

kpimtextedit (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:42 +0200

kpimtextedit (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Enable build tests.
  * split arch independent files into own package (libkf5pimtextedit-
    data).
  * Use DebianABIManager to handle libkpimtextedit* properly.
  * Update library from libkpimtextedit5 -> libkkpimtextedit5abi1,
    because of ABI breakage.
  * Update Vcs links to salsa.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:00 +0100

kpimtextedit (17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Switch the kdesignerplugin build dependency to kgendesignerplugin, as the
    latter is the actual needed one.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 12:02:53 +0100

kpimtextedit (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unused kio-dev, and libkf5kdelibs4support-dev build dependencies.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:44:55 +0100

kpimtextedit (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Mark libkf5pimtextedit-dev correctly as Multi-Arch: same.
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:58:01 +0100

kpimtextedit (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:35 +0200

kpimtextedit (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:39:17 +0000

kpimtextedit (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:23:21 +0000

kpimtextedit (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:03 +0000

kpimtextedit (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:23:42 +0000

kpimtextedit (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:28 +0000

kpimtextedit (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:45 +0000

kpimtextedit (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:01:32 +0000

kpimtextedit (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:22:15 +0000

kpimtextedit (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:30:01 +0000

kpimtextedit (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:54 +0000

kpimtextedit (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:53 +0000

kpimtextedit (16.08.1-1~1.gbpe447e6) UNRELEASED; urgency=medium

  ** SNAPSHOT build @e447e6f2d3ffeba8910b0a442557e180e19af273 **

  * Refresh patches
  * Update symbols files with the buildds results

