=== src/texteditor/richtexteditor/autotests/CMakeLists.txt ===
ecm_add_tests(richtexteditortest.cpp
    NAME_PREFIX "kpimtextedit-richtesteditor-"
    LINK_LIBRARIES KF5::PimTextEdit Qt5::Test Qt5::Widgets
)
