=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 
-configure_file(config-kpimtextedit.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h )
 
 set(kpimtextedit_texteditor_SRCS
     texteditor/plaintexteditor/plaintexteditfindbar.cpp
@@ -41,10 +40,21 @@
     texttospeech/texttospeechactions.cpp
     )
 
+set(kpimtextedit_grantlee_builder_SRCS
+    grantleebuilder/plaintextmarkupbuilder.cpp
+    grantleebuilder/markupdirector.cpp
+    )
+
+set(kpimtextedit_emoticon_builder_SRCS
+    emoticon/emoticontexteditaction.cpp
+    emoticon/emoticontexteditselector.cpp
+    emoticon/emoticonunicodetab.cpp
+    emoticon/emoticonlistwidgetselector.cpp
+    emoticon/emoticonunicodeutils.cpp
+    )
 
 set(kpimtextedit_SRCS
-    emoticontexteditaction.cpp
-    emoticontexteditselector.cpp
+    ${kpimtextedit_emoticon_builder_SRCS}
     inserthtmldialog.cpp
     insertimagedialog.cpp
     insertimagewidget.cpp
@@ -63,7 +73,7 @@
 
 ecm_qt_declare_logging_category(kpimtextedit_SRCS HEADER kpimtextedit_debug.h IDENTIFIER KPIMTEXTEDIT_LOG CATEGORY_NAME org.kde.pim.kpimtextedit)
 
-add_library(KF5PimTextEdit ${kpimtextedit_SRCS} ${kpimtextedit_texteditor_SRCS} ${kpimtextedit_texttospeech_SRCS} ${kpimtextedit_composerng_SRCS})
+add_library(KF5PimTextEdit ${kpimtextedit_SRCS} ${kpimtextedit_texteditor_SRCS} ${kpimtextedit_texttospeech_SRCS} ${kpimtextedit_composerng_SRCS} ${kpimtextedit_grantlee_builder_SRCS})
 
 generate_export_header(KF5PimTextEdit BASE_NAME kpimtextedit)
 
@@ -75,23 +85,18 @@
 
 target_link_libraries(KF5PimTextEdit
     PRIVATE
-    KF5::Emoticons
     KF5::Codecs
     KF5::SonnetUi
     KF5::SonnetCore
     KF5::WidgetsAddons
     KF5::KIOWidgets
     KF5::ConfigWidgets
-    KF5::IconThemes
     Grantlee5::TextDocument
     KF5::XmlGui
     KF5::I18n
     KF5::SyntaxHighlighting
-    )
-
-if(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH)
-    target_link_libraries(KF5PimTextEdit PRIVATE Qt5::TextToSpeech)
-endif()
+    Qt5::TextToSpeech
+    )
 
 set_target_properties(KF5PimTextEdit PROPERTIES
     VERSION ${KPIMTEXTEDIT_VERSION_STRING}
@@ -105,22 +110,23 @@
 ecm_generate_headers(KPimTextEdit_CamelCase_HEADERS
     HEADER_NAMES
     EditorUtil
-    EmoticonTextEditAction
-    InsertImageDialog
-    InsertImageWidget
-    InsertTableDialog
-    InsertTableWidget
     SelectSpecialCharDialog
     SlideContainer
-    TableCellFormatDialog
-    TableFormatDialog
-    TableActionMenu
     TextEditorCompleter
     TextUtils
 
     PREFIX KPIMTextEdit
     REQUIRED_HEADERS kpimtextedit_HEADERS
     )
+
+ecm_generate_headers(KPimTextEdit_CamelCaseemoticon_HEADERS
+    HEADER_NAMES
+    EmoticonUnicodeTab
+    PREFIX KPIMTextEditemoticon
+    REQUIRED_HEADERS kpimtextedit_HEADERS
+    RELATIVE emoticon
+    )
+
 
 ecm_generate_headers(PimCommon_CamelCasetextrichtexteditor_HEADERS
     HEADER_NAMES
@@ -184,13 +190,13 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
-    ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h
     ${kpimtextedit_HEADERS}
     ${KPimTextEdit_texttospeechs_HEADERS}
     ${PimCommon_richtexteditor_HEADERS}
     ${PimCommon_texteditor_commonwidget_HEADERS}
     ${PimCommon_plaintexteditor_HEADERS}
     ${KPimTextEdit_composerng_HEADERS}
+    ${KPimTextEdit_emoticon_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/kpimtextedit
     COMPONENT Devel
     )
@@ -202,11 +208,12 @@
     ${KPimTextEdit_CamelCasetexttospeechs_HEADERS}
     ${PimCommon_CamelCasetexteditor_commonwidget_HEADERS}
     ${KPimTextEdit_Camelcasecomposerng_HEADERS}
+    ${KPimTextEdit_CamelCaseemoticon_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/KPIMTextEdit/
     COMPONENT Devel
     )
 
-ecm_generate_pri_file(BASE_NAME KPIMTextEdit LIB_NAME KF5PIMTextEdit DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/)
+ecm_generate_pri_file(BASE_NAME KPIMTextEdit LIB_NAME KF5PimTextEdit DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 if (BUILD_TESTING)
@@ -221,4 +228,6 @@
     add_subdirectory(composer-ng/tests)
 endif()
 
-add_subdirectory(designer)
+if(BUILD_DESIGNERPLUGIN)
+    add_subdirectory(designer)
+endif()
